<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//za sigurnost
if (!defined('SIGURICA')) die();



$expected = array('q_ime', 'pogon', 'data_id');
// set required fields
$required = array('q_ime', 'data_id');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) 
{
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) 
	{
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) 
	{
		${$key} = $temp;
		//${$key} = mysql_real_escape_string($temp);	
	}
}

$insert = 'yes';
$error = '';

//pokupi ime i id od pogona:
$sql=mysql_query("select * from lvl1 where id_lvl1='$pogon' and vidljivost='1'");
$row=mysql_fetch_array($sql);
$id_lvl1 = $row['id_lvl1'];
$opis_lvl1 = $row['opis_lvl1'];

//ako nema id - nije odabran dobar pogon
if ($id_lvl1 < 1) 
{
	$missing=1;
}

if (empty($missing))  
{	



		
	//priprema teksta za unos u bazu
	$q_sort = uredi_sort($q_ime);
	$q_ime = remove_quotes($q_ime);
	$q_ime = mysql_real_escape_string( $q_ime );
	
	
	//početak transakcije
	$sql="update lvl2 set 
				opis_lvl2='$q_ime',
				id_lvl1='$id_lvl1',
				opis_lvl1='$opis_lvl1',
				sort='$q_sort'
				
				where id_lvl2='$data_id'";
	$result = mysql_query($sql);
	
	$sql="update lvl3 set 
				opis_lvl2='$q_ime',
				id_lvl1='$id_lvl1',
				opis_lvl1='$opis_lvl1' 
				
				where id_lvl2='$data_id'";
	$result = mysql_query($sql);
	//kraj transakcije
	
	if ($result)
	{
		$uspjeh = 'Podaci su uspješno spremljeni u bazu';
	} else {
		$error = 'Došlo je do greške pri upisu podataka u bazu<br />Ponovite unos'.mysql_error();
	}
				
		

	
	
} else {
	$error = 'Nisu prosljeđeni svi obavezni podaci za unos podataka u bazu!<br />Ponovite unos';
}
?>